# `HIP_jll.jl` (v4.2.0+2)

[![deps](https://juliahub.com/docs/HIP_jll/deps.svg)](https://juliahub.com/ui/Packages/HIP_jll/vP5rW?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/fd751d06d02a25fa3e50373619085e8617462551/H/HIP/HIP@4.2.0/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `HIP_jll.jl` have been built from these sources:

* compressed archive: https://github.com/ROCm-Developer-Tools/HIP/archive/rocm-4.2.0.tar.gz (SHA256 checksum: `ecb929e0fc2eaaf7bbd16a1446a876a15baf72419c723734f456ee62e70b4c24`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/fd751d06d02a25fa3e50373619085e8617462551/H/HIP/HIP@4.2.0/bundled)
* files in directory, relative to originating `build_tarballs.jl`: [`../scripts`](https://github.com/JuliaPackaging/Yggdrasil/tree/fd751d06d02a25fa3e50373619085e8617462551/H/HIP/HIP@4.2.0/scripts)

## Platforms

`HIP_jll.jl` is available for the following platforms:

* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)

## Dependencies

The following JLL packages are required by `HIP_jll.jl`:

* [`ROCmCompilerSupport_jll`](https://github.com/JuliaBinaryWrappers/ROCmCompilerSupport_jll.jl)
* [`ROCmDeviceLibs_jll`](https://github.com/JuliaBinaryWrappers/ROCmDeviceLibs_jll.jl)
* [`ROCmOpenCLRuntime_jll`](https://github.com/JuliaBinaryWrappers/ROCmOpenCLRuntime_jll.jl)
* [`hsa_rocr_jll`](https://github.com/JuliaBinaryWrappers/hsa_rocr_jll.jl)
* [`hsakmt_roct_jll`](https://github.com/JuliaBinaryWrappers/hsakmt_roct_jll.jl)
* [`rocminfo_jll`](https://github.com/JuliaBinaryWrappers/rocminfo_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libamdhip64`
* `ExecutableProduct`: `hipcc`
